> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Create an event

POST https://api.brevo.com/v3/events
Content-Type: application/json

Create an event to track a contact's interaction. Events created with this endpoint are stored as custom events, including events named `cart_updated`, `cart_deleted` or `order_completed`, so they don't trigger ecommerce automations such as abandoned cart. To send ecommerce cart events, activate the ecommerce app and use the Brevo tracker or the [trackEvent endpoint](/docs/track-custom-events-rest).

Reference: https://developers.brevo.com/reference/create-event

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.
- `Authorization` header (bearer token, required) — OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app's client_id/client_secret for a short-lived Bearer token.

## Request

### Body (application/json)

This endpoint expects an object.

- `event_name` (string, required) — The name of the event that occurred. This is how you will find your event in Brevo. Limited to 255 characters; only alphanumeric characters, hyphens (-), and underscores (_) are allowed.
- `identifiers` (EventsPostRequestBodyContentApplicationJsonSchemaIdentifiers, required) — Identifies the contact associated with the event. At least one identifier is required.
- `contact_properties` (map from string to EventsPostRequestBodyContentApplicationJsonSchemaContactProperties, optional) — Properties defining the state of the contact associated to this event. Useful to update contact attributes defined in your contacts database while passing the event. For example: **"FIRSTNAME": "Jane" , "AGE": 37**
- `event_date` (datetime, optional) — ISO 8601 timestamp of when the event occurred (e.g. "2024-01-24T17:39:57+01:00"). If no value is passed, the timestamp of the event creation is used.
- `event_properties` (map from string to EventsPostRequestBodyContentApplicationJsonSchemaEventProperties, optional) — Properties of the event. Top level properties and nested properties can be used to better segment contacts and personalise workflow conditions. The following field types are supported: string, number, boolean (true/false), date (Timestamp e.g. "2024-01-24T17:39:57+01:00"). Keys are limited to 255 characters, alphanumerical characters and - _ only. Size is limited to 50KB.
- `object` (EventsPostRequestBodyContentApplicationJsonSchemaObject, optional) — Identifiers of the object record associated with this event. Ignored if the object type or identifier for this record does not exist on the account.

## Response

### 204

Event posted

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 401 Unauthorized Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Types

### EventsPostRequestBodyContentApplicationJsonSchemaIdentifiers

Identifies the contact associated with the event. At least one identifier is required.

- `contact_id` (long, optional) — Internal unique contact ID. When present, this takes priority over all other identifiers for event attribution and contact resolution.
- `email_id` (string, optional) — Email Id associated with the event
- `ext_id` (string, optional) — ext_id associated with the event
- `landline_number_id` (string, optional) — landline_number associated with the event
- `phone_id` (string, optional) — SMS associated with the event
- `whatsapp_id` (string, optional) — whatsapp associated with the event

### EventsPostRequestBodyContentApplicationJsonSchemaContactProperties

- string
- integer
- boolean

### EventsPostRequestBodyContentApplicationJsonSchemaEventProperties

- string
- integer
- boolean
- map from string to any
- list of any

### EventsPostRequestBodyContentApplicationJsonSchemaObject

Identifiers of the object record associated with this event. Ignored if the object type or identifier for this record does not exist on the account.

- `identifiers` (EventsPostRequestBodyContentApplicationJsonSchemaObjectIdentifiers, optional) — Identifiers for the object.
- `type` (string, optional) — Type of object (e.g., subscription, vehicle, etc.)

### EventsPostRequestBodyContentApplicationJsonSchemaObjectIdentifiers

Identifiers for the object.

- `ext_id` (string, optional) — External object ID
- `id` (string, optional) — Internal object ID

## Examples

**Request**

```json
{
  "event_name": "video_played"
}
```

**SDK Code**

```python
import requests

url = "https://api.brevo.com/v3/events"

payload = { "event_name": "video_played" }
headers = {
    "api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.brevo.com/v3/events';
const options = {
  method: 'POST',
  headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: '{"event_name":"video_played"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/events"

	payload := strings.NewReader("{\n  \"event_name\": \"video_played\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/events")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"event_name\": \"video_played\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.brevo.com/v3/events")
  .header("api-key", "<api-key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"event_name\": \"video_played\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.brevo.com/v3/events', [
  'body' => '{
  "event_name": "video_played"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'api-key' => '<api-key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/events");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<api-key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"event_name\": \"video_played\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<api-key>",
  "Content-Type": "application/json"
]
let parameters = ["event_name": "video_played"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/events")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```